package com.androidya.proyecto023;

import java.io.IOException;

import android.app.Activity;
import android.media.MediaPlayer;
import android.media.MediaPlayer.OnPreparedListener;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.Toast;

public class MainActivity extends Activity  implements OnPreparedListener{
	MediaPlayer mp;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

	public void ejecutar(View v) {
		mp = new MediaPlayer();
		mp.setOnPreparedListener(this);
		try {
			mp.setDataSource("http://www.codigofuenteya.com.ar/recursos/gato.mp3");
			mp.prepareAsync();
		} catch (IOException e) {
		}
		Toast t = Toast.makeText(this,
				"Espere un momento mientras se carga el mp3",
				Toast.LENGTH_SHORT);
		t.show();
	}

	public void onPrepared(MediaPlayer mp) {
		mp.start();
	}

}
